; missile graphic data needs to be word-aligned
; first byte is HMxx and ENAxx data, second byte is offset from X

ON      = 2    
OFF     = 8 ; bit 3 on so value is non-zero for in-use detection

; ball/missile size for CTRLPF and NUSIZx
WIDTH_1 = %00000000
WIDTH_2 = %00010000
WIDTH_4 = %00100000
WIDTH_8 = %00110000

 align 2        
MG_ShotDiagonal_TLBR:           ; \ Top-Left to Bottom-Right
        .byte HMOVE_0   | ON,   0 | WIDTH_2
        .byte HMOVE_R1  | ON,   1
        .byte HMOVE_0   | ON,   1
        .byte HMOVE_R1  | ON,   2

        
MG_ShotDiagonal_TRBL:           ; / Top-Right to Bottom-Left        
        .byte HMOVE_R2  | ON,   2 | WIDTH_2
        .byte HMOVE_L1  | ON,   1
        .byte HMOVE_0   | ON,   1
        .byte HMOVE_L1  | ON,   0

        
MG_ShotHorizontal:      
        .byte HMOVE_0   | ON,   0 | WIDTH_4
        .byte HMOVE_0   | ON,   0
        
MG_ShotVertical
        .byte HMOVE_0   | ON,   0 | WIDTH_1
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        
MG_ShotStation0:
        .byte HMOVE_0   | OFF,  0 | WIDTH_2
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0

MG_ShotStation1:
        .byte HMOVE_R1  | ON,   1 | WIDTH_1
        .byte HMOVE_0   | ON,   1
        .byte HMOVE_L1  | ON,   0
        .byte HMOVE_0   | ON,   0

MG_ShotStation2:
        .byte HMOVE_0   | ON,   0 | WIDTH_1
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        
MG_ShotStation3:
        .byte HMOVE_0   | ON,   0 | WIDTH_1
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_R1  | ON,   1
        .byte HMOVE_0   | ON,   1        
        
MG_EnergyPod_Vertical0:
        .byte HMOVE_R2  | ON,   2 | WIDTH_1
        .byte HMOVE_0   | ON,   2
        .byte HMOVE_0   | ON,   2
        .byte HMOVE_R1  | ON,   3
        .byte HMOVE_0   | ON,   3
        .byte HMOVE_0   | ON,   3
        .byte HMOVE_0   | ON,   3
        .byte HMOVE_L3  | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_R1  | ON,   1
        .byte HMOVE_0   | ON,   1
        .byte HMOVE_0   | ON,   1
        
MG_EnergyPod_Vertical1:
        .byte HMOVE_R1  | ON,   1 | WIDTH_1
        .byte HMOVE_0   | ON,   1
        .byte HMOVE_L1  | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_R1  | ON,   1
        .byte HMOVE_R1  | ON,   2
        .byte HMOVE_0   | ON,   2
        .byte HMOVE_R1  | ON,   3
        .byte HMOVE_0   | ON,   3
        .byte HMOVE_0   | ON,   3
        .byte HMOVE_L1  | ON,   2
        .byte HMOVE_0   | ON,   2 
        
MG_EnergyPod_Vertical2:
        .byte HMOVE_R1  | ON,   1 | WIDTH_1
        .byte HMOVE_0   | ON,   1
        .byte HMOVE_0   | ON,   1
        .byte HMOVE_L1  | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_R3  | ON,   3
        .byte HMOVE_0   | ON,   3
        .byte HMOVE_0   | ON,   3
        .byte HMOVE_L1  | ON,   2
        .byte HMOVE_0   | ON,   2
        .byte HMOVE_0   | ON,   2                
        
MG_EnergyPod_Vertical3:
        .byte HMOVE_R2  | ON,   2 | WIDTH_1
        .byte HMOVE_0   | ON,   2
        .byte HMOVE_R1  | ON,   3
        .byte HMOVE_0   | ON,   3
        .byte HMOVE_0   | ON,   3
        .byte HMOVE_L1  | ON,   2
        .byte HMOVE_L1  | ON,   1
        .byte HMOVE_0   | ON,   1
        .byte HMOVE_L1  | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_0   | ON,   0
        .byte HMOVE_R1  | ON,   1
        .byte HMOVE_0   | ON,   1      
        
MG_EnergyPod_Horizontal0:
        .byte HMOVE_R3  | ON,   3 | WIDTH_2
        .byte HMOVE_R1  | ON,   4
        .byte HMOVE_R1  | ON,   5
        .byte HMOVE_L2  | ON,   3
        .byte HMOVE_L2  | ON,   1
        .byte HMOVE_R1  | ON,   2
        .byte HMOVE_R1  | ON,   3        
        
MG_EnergyPod_Horizontal1:
        .byte HMOVE_R3  | ON,   3 | WIDTH_2
        .byte HMOVE_R1  | ON,   4
        .byte HMOVE_R2  | ON,   6
        .byte HMOVE_L2  | ON,   4
        .byte HMOVE_L4  | ON,   0
        .byte HMOVE_R2  | ON,   2
        .byte HMOVE_R1  | ON,   3
        
MG_EnergyPod_Horizontal2:
        .byte HMOVE_R3  | ON,   3 | WIDTH_2
        .byte HMOVE_L1  | ON,   2
        .byte HMOVE_L1  | ON,   1
        .byte HMOVE_R2  | ON,   3
        .byte HMOVE_R2  | ON,   5
        .byte HMOVE_L1  | ON,   4
        .byte HMOVE_L1  | ON,   3     
        
MG_EnergyPod_Horizontal3:
        .byte HMOVE_R3  | ON,   3 | WIDTH_2
        .byte HMOVE_L1  | ON,   2
        .byte HMOVE_L2  | ON,   0
        .byte HMOVE_R2  | ON,   2
        .byte HMOVE_R4  | ON,   6
        .byte HMOVE_L2  | ON,   4
        .byte HMOVE_L1  | ON,   3          
         